'use strict';

var yarn = require('../../../lib/utils/yarn');
var configs = require('../../../lib/configs');
var shell = require('../../../lib/utils/shell');

module.exports = function (packages, options) {
    var cmd;
    var args = process.argv.slice(2);

    if (yarn.isUseYarn(options)) {
        cmd = configs.yarn;
    } else {
        cmd = configs.npm;
    }

    shell.spawn(cmd, args);
};